:: Source Skybox Converter. Created by Victor Karp. http://www.victorkarp.com
:: Feel free to share this converter. If you do so, please link back to the download page on my blog:
:: http://www.victorkarp.wordpress.com

:: Do you need any help or have a suggestion? Write a comment on the converter's page on my blog. No registration required.
:: I'm glad to help and will answer as soon as possible. Happy converting :)

@echo.
@echo off

:: This specifies your skybox name
set /p Input=Please enter a skybox name (without the suffix):

:: This renames all TGAs in the output folder and gives them the correct suffix
ren .\Output\skybox0000.tga %input%bk.tga
ren .\Output\skybox0001.tga %input%rt.tga
ren .\Output\skybox0002.tga %input%ft.tga
ren .\Output\skybox0003.tga %input%lf.tga
ren .\Output\skybox0004.tga %input%up.tga
ren .\Output\skybox0005.tga %input%dn.tga

:: This copies the unmodified VMTs to the output folder and renames them to match your skybox name
copy .\unmodifiedvmts\skyboxbk.vmt .\Output\%input%bk.vmt
copy .\unmodifiedvmts\skyboxdn.vmt .\Output\%input%dn.vmt
copy .\unmodifiedvmts\skyboxft.vmt .\Output\%input%ft.vmt
copy .\unmodifiedvmts\skyboxlf.vmt .\Output\%input%lf.vmt
copy .\unmodifiedvmts\skyboxrt.vmt .\Output\%input%rt.vmt
copy .\unmodifiedvmts\skyboxup.vmt .\Output\%input%up.vmt

:: This replaces the "replaceme" text in all VMTs with your skybox name
powershell -Command "(gc .\Output\%input%bk.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%bk.vmt"
powershell -Command "(gc .\Output\%input%rt.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%rt.vmt"
powershell -Command "(gc .\Output\%input%ft.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%ft.vmt"
powershell -Command "(gc .\Output\%input%lf.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%lf.vmt"
powershell -Command "(gc .\Output\%input%up.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%up.vmt"
powershell -Command "(gc .\Output\%input%dn.vmt) -replace 'replaceme', '%input%' | Set-Content ./Output/%input%dn.vmt"

:: This runs VTFCmd.exe and converts all TGAs to VTF.  
"%cd%\vtflib\vtfcmd.exe" -nomipmaps -flag ClampS -flag clampt -folder ".\Output\*.tga" -output ".\Output"

:: This deleted all TGAs, because they have fulfilled their purpose
:: If you want to keep the TGAs, delete the following line
del .\Output\*.tga

